%global pypi_name sphinxcontrib-jsmath

# when bootstrapping sphinx, we cannot run tests yet
%bcond_with check

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 8
Summary:        Sphinx extension for math in HTML via JavaScript
Group:		Development/Python
License:        BSD
URL:            https://pypi.org/project/sphinxcontrib-jsmath/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx
%endif

%description
sphinxcontrib-jsmath is a sphinx extension which renders display math in HTML
via JavaScript.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinxcontrib-jsmath is a sphinx extension which renders display math in HTML
via JavaScript.

%prep
%autosetup -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
%{__python3} -m pytest
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_jsmath-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/sphinxcontrib_jsmath-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Feb 21 2025 wally <wally> 1.0.1-8.mga10
+ Revision: 2150581
- rebuild for python3.13

* Thu Dec 07 2023 wally <wally> 1.0.1-7.mga10
+ Revision: 2015005
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0.1-6.mga9
+ Revision: 1822190
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.0.1-5.mga9
+ Revision: 1772091
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 1.0.1-4.mga9
+ Revision: 1702700
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1530948
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 1.0.1-2.mga8
+ Revision: 1437950
- another python3.8 rebuild
- rebuild for python3.8

* Mon Jul 15 2019 tv <tv> 1.0.1-1.mga8
+ Revision: 1421772
- imported package python-sphinxcontrib-jsmath


* Fri Mar 01 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.1-1
- Initial package
